Bug 56118 - [GM45] "plane B assertion failure, should be off on pipe B but is still active"
Summary: [GM45] "plane B assertion failure, should be off on pipe B but is still active"
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Daniel Vetter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 04:28 UTC by vivenzio
Modified: 2017-07-24 23:00 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg output after resume from hibernate with kernel 3.7rc1 and drm.debug=0xe (120.90 KB, text/plain)
2012-10-18 21:18 UTC, vivenzio
no flags Details
dmesg after poweron (not resume) with kernel 3.7rc1 and drm.debug=0xe (86.71 KB, text/plain)
2012-10-18 21:33 UTC, vivenzio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vivenzio 2012-10-18 04:28:06 UTC
This happened on archlinux after upgrade to kernel version 3.6.2.

The following warning is printed several times in logs:

  Oct 17 06:29:09 localhost kernel: [ 5642.562850] ------------[ cut here ]------------
  Oct 17 06:29:09 localhost kernel: [ 5642.562867] WARNING: at drivers/gpu/drm/i915/intel_display.c:1225 assert_pipe+0x8e/0x90 [i915]()
  Oct 17 06:29:09 localhost kernel: [ 5642.562868] Hardware name: K50IJ
  Oct 17 06:29:09 localhost kernel: [ 5642.562870] pipe B assertion failure (expected off, current on)
  Oct 17 06:29:09 localhost kernel: [ 5642.562914] Modules linked in: <list removed>
  Oct 17 06:29:09 localhost kernel: [ 5642.562916] Pid: 9770, comm: kworker/u:5 Not tainted 3.6.2-1-ARCH #1
  Oct 17 06:29:09 localhost kernel: [ 5642.562917] Call Trace:
  Oct 17 06:29:09 localhost kernel: [ 5642.562924]  [<ffffffff81055c2f>] warn_slowpath_common+0x7f/0xc0
  Oct 17 06:29:09 localhost kernel: [ 5642.562927]  [<ffffffff81055d26>] warn_slowpath_fmt+0x46/0x50
  Oct 17 06:29:09 localhost kernel: [ 5642.562935]  [<ffffffffa0409cfe>] assert_pipe+0x8e/0x90 [i915]
  Oct 17 06:29:09 localhost kernel: [ 5642.562943]  [<ffffffffa040f319>] intel_crtc_disable+0x69/0xb0 [i915]
  Oct 17 06:29:09 localhost kernel: [ 5642.562948]  [<ffffffffa01d8885>] drm_helper_disable_unused_functions+0x115/0x170 [drm_kms_helper]
  Oct 17 06:29:09 localhost kernel: [ 5642.562951]  [<ffffffffa01d9370>] drm_helper_resume_force_mode+0x130/0x170 [drm_kms_helper]
  Oct 17 06:29:09 localhost kernel: [ 5642.562957]  [<ffffffffa03e3200>] i915_drm_thaw+0xd0/0x150 [i915]
  Oct 17 06:29:09 localhost kernel: [ 5642.562963]  [<ffffffffa03e35ce>] i915_resume+0x4e/0x80 [i915]
  Oct 17 06:29:09 localhost kernel: [ 5642.562969]  [<ffffffffa03e3616>] i915_pm_resume+0x16/0x20 [i915]
  Oct 17 06:29:09 localhost kernel: [ 5642.562972]  [<ffffffff8127ba53>] pci_pm_restore+0x73/0xd0
  Oct 17 06:29:09 localhost kernel: [ 5642.562974]  [<ffffffff8127b9e0>] ? pci_pm_suspend_noirq+0x1a0/0x1a0
  Oct 17 06:29:09 localhost kernel: [ 5642.562977]  [<ffffffff8132e91b>] dpm_run_callback.isra.4+0x3b/0x70
  Oct 17 06:29:09 localhost kernel: [ 5642.562979]  [<ffffffff8132f638>] device_resume+0xa8/0x160
  Oct 17 06:29:09 localhost kernel: [ 5642.562981]  [<ffffffff8132f711>] async_resume+0x21/0x50
  Oct 17 06:29:09 localhost kernel: [ 5642.562984]  [<ffffffff8108149e>] async_run_entry_fn+0x8e/0x1b0
  Oct 17 06:29:09 localhost kernel: [ 5642.562987]  [<ffffffff810735c9>] process_one_work+0x139/0x500
  Oct 17 06:29:09 localhost kernel: [ 5642.562990]  [<ffffffff81485fee>] ? mutex_unlock+0xe/0x10
  Oct 17 06:29:09 localhost kernel: [ 5642.562993]  [<ffffffff81081410>] ? async_schedule+0x20/0x20
  Oct 17 06:29:09 localhost kernel: [ 5642.562995]  [<ffffffff81073d5e>] worker_thread+0x15e/0x460
  Oct 17 06:29:09 localhost kernel: [ 5642.562997]  [<ffffffff81487789>] ? preempt_schedule+0x49/0x70
  Oct 17 06:29:09 localhost kernel: [ 5642.562999]  [<ffffffff81073c00>] ? rescuer_thread+0x230/0x230
  Oct 17 06:29:09 localhost kernel: [ 5642.563002]  [<ffffffff81079693>] kthread+0x93/0xa0
  Oct 17 06:29:09 localhost kernel: [ 5642.563005]  [<ffffffff81490dc4>] kernel_thread_helper+0x4/0x10
  Oct 17 06:29:09 localhost kernel: [ 5642.563007]  [<ffffffff81079600>] ? kthread_freezable_should_stop+0x70/0x70
  Oct 17 06:29:09 localhost kernel: [ 5642.563009]  [<ffffffff81490dc0>] ? gs_change+0x13/0x13
  Oct 17 06:29:09 localhost kernel: [ 5642.563010] ---[ end trace 41226cd292a0cffc ]---
  Oct 17 06:29:09 localhost kernel: [ 5642.566182] PM: restore of devices complete after 791.242 msecs
  Oct 17 06:29:09 localhost kernel: [ 5642.566579] Restarting tasks ... done.
  Oct 17 06:29:09 localhost kernel: [ 5642.575410] video LNXVIDEO:00: Restoring backlight state
  Oct 17 06:29:09 localhost kernel: [ 5642.586217] ------------[ cut here ]------------
Comment 1 vivenzio 2012-10-18 04:34:03 UTC
Forgot to mention that hardware has Intel GM45 chipset.
Comment 2 Daniel Vetter 2012-10-18 07:08:43 UTC
Can you please test 3.7-rc1? That contains a completely rewritten modeset code, which turned up an issue (plus fix ofc) which might apply for you. If you test 3.7-rc1 please add drm.debug=0xe to your kernel bootline and attach the complete dmesg after having reproduced the issue (i.e. after resuming).
Comment 3 vivenzio 2012-10-18 21:18:16 UTC
Created attachment 68765 [details]
dmesg output after resume from hibernate with kernel 3.7rc1 and drm.debug=0xe
Comment 4 vivenzio 2012-10-18 21:33:18 UTC
Created attachment 68766 [details]
dmesg after poweron (not resume) with kernel 3.7rc1 and drm.debug=0xe

The WARNING() also shows up at boot time, when I poweron.
Comment 5 vivenzio 2012-10-18 21:34:51 UTC
Comment on attachment 68765 [details]
dmesg output after resume from hibernate with kernel 3.7rc1 and drm.debug=0xe

The flickering artefacts are not visible anymore, however the WARNING() from intel_disable_pipe() is still there.
Attached is the dmesg output after resume from hibernate with kernel 3.7rc1 and drm.debug=0xe on kernel command line.
Comment 6 Chris Wilson 2012-10-22 17:03:45 UTC
[    8.530111] WARNING: at drivers/gpu/drm/i915/intel_display.c:1271 intel_disable_pipe+0x143/0x180 [i915]()
[    8.530113] Hardware name: K50IJ               
[    8.530114] plane B assertion failure, should be off on pipe B but is still active
[    8.530116] Modules linked in: joydev snd_hda_intel(+) i915(+) arc4 ath9k snd_hda_codec i2c_algo_bit ath9k_common ath9k_hw snd_hwdep snd_pcm snd_page_alloc drm_kms_helper asus_laptop snd_timer drm snd soundcore ath input_polldev serio_raw psmouse iTCO_wdt iTCO_vendor_support mac80211 intel_agp intel_gtt atl1e pcspkr sparse_keymap evdev lpc_ich cfg80211 i2c_core thermal battery video ac microcode coretemp rfkill button loop cpufreq_userspace acpi_cpufreq mperf processor ext4 crc16 jbd2 mbcache sr_mod cdrom sd_mod uhci_hcd ahci libahci libata scsi_mod ehci_hcd usbcore usb_common
[    8.530166] Pid: 170, comm: systemd-udevd Not tainted 3.7.0-2-mainline #1
[    8.530168] Call Trace:
[    8.530175]  [<ffffffff8105728f>] warn_slowpath_common+0x7f/0xc0
[    8.530179]  [<ffffffff81057386>] warn_slowpath_fmt+0x46/0x50
[    8.530198]  [<ffffffffa045f483>] intel_disable_pipe+0x143/0x180 [i915]
[    8.530217]  [<ffffffffa045fa5e>] i9xx_crtc_disable+0xde/0x180 [i915]
[    8.530238]  [<ffffffffa0469ac1>] intel_modeset_setup_hw_state+0x641/0x7a0 [i915]
[    8.530258]  [<ffffffffa0469c46>] intel_modeset_gem_init+0x26/0x30 [i915]
[    8.530275]  [<ffffffffa043d11c>] i915_driver_load+0xd3c/0xed0 [i915]
[    8.530286]  [<ffffffffa0306dc6>] drm_get_pci_dev+0x186/0x2c0 [drm]
[    8.530306]  [<ffffffffa048e5a9>] i915_pci_probe+0x4d/0x57 [i915]
[    8.530311]  [<ffffffff812836c9>] local_pci_probe+0x79/0x100
[    8.530314]  [<ffffffff81283ec1>] pci_device_probe+0x111/0x120
[    8.530319]  [<ffffffff8133193b>] driver_probe_device+0x7b/0x240
[    8.530322]  [<ffffffff81331bab>] __driver_attach+0xab/0xb0
[    8.530325]  [<ffffffff81331b00>] ? driver_probe_device+0x240/0x240
[    8.530328]  [<ffffffff8132fbf5>] bus_for_each_dev+0x55/0x90
[    8.530332]  [<ffffffff8133147e>] driver_attach+0x1e/0x20
[    8.530335]  [<ffffffff81331010>] bus_add_driver+0x190/0x260
[    8.530339]  [<ffffffffa02ad000>] ? 0xffffffffa02acfff
[    8.530342]  [<ffffffff81332277>] driver_register+0x77/0x170
[    8.530346]  [<ffffffff810e8d47>] ? tracepoint_module_notify+0x117/0x220
[    8.530349]  [<ffffffffa02ad000>] ? 0xffffffffa02acfff
[    8.530352]  [<ffffffff81283fb8>] __pci_register_driver+0x48/0x50
[    8.530359]  [<ffffffffa030701a>] drm_pci_init+0x11a/0x130 [drm]
[    8.530362]  [<ffffffffa02ad000>] ? 0xffffffffa02acfff
[    8.530379]  [<ffffffffa02ad066>] i915_init+0x66/0x68 [i915]
[    8.530382]  [<ffffffff8100216a>] do_one_initcall+0x12a/0x180
[    8.530386]  [<ffffffff810bc2f4>] sys_init_module+0x84/0x1e0
[    8.530390]  [<ffffffff8149fb5d>] system_call_fastpath+0x1a/0x1f
Comment 7 Chris Wilson 2012-10-22 17:04:39 UTC
Daniel, I think this is the pipe<->plane sanitizer, right?
Comment 8 Daniel Vetter 2012-10-22 17:24:42 UTC
Yep, please upgrade your kernel to 3.7-rc2, this is fixed in

commit fa55583797d12b10928a1813f3dcf066637caf5e
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 10 23:14:00 2012 +0200

    drm/i915: fixup the plane->pipe fixup code

Thanks for reporting this issue - if the bug is against my expectations not fixed, please reopen.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.